Subject: [TOOLS-DEVELOPMENT] Tools Call Notes - 17 March 2020

From: Liz Flynn <[email-masked]>
Date: Thu, 9 Apr 2020 10:14:48 -0700

Hi everyone,

Apologies for these notes being so delayed; they’d gotten stuck kicking around in my mail drafts. Talk to you all next week for the meeting on 14 April.

———

Tools Call Notes -- 17 March 2020 at 1:00 Eastern

1. Datatracker Projects
  - Expected Datatracker Releases -- Robert and Henrik
    -- https://trac.tools.ietf.org/tools/ietfdb/browser/trunk/PLAN

See Robert's email from 3/16 for highlights. Day to day activity has been focused on making sure we have an effective virtual meeting. Also doing remediation from the first server attempt. One document got tangled and Henrik has sorted out the issues with this document as of today. After IETF 107 the two big things are removing Python 2 support and moving to Django 2. 

Transition to Django 2 has been on the plan for some time but it's coming out of the parking lot. 

  - Meeting application improvements by IOLA -- Robert

IOLA is finally underway and has been committing code. They have a version that shows first improvements to graphical editor. I'll set that up for the Secretariat to look at after IETF 107. I still don't have a good sense of when they will complete but we're having conversations. 

  - Automated schedule builder by DashCare -- Robert

Part 1 is essentially complete. Some improvements they made to the existing graphical editor to see the new kinds of conflicts that can be modeled and I'll set that up for Secretariat to look at after IETF 107 as well. I'll talk with Jay about starting part 2. It will make things easier on merge if IOLA's part is in before starting part 2 but they can be decoupled if necessary. 

  - Minor Tools Enhancements by Painless Security -- Robert

They have made enhancements to datatracker and website. Still working on some tickets this month and almost ready to give them runway to work on mail archive. Focusing on getting them familiar with code base; I don't think we need to track them at this level on this call going forward. 

2. Community & Other Projects
  - WWW search to provide additional pointers -- Greg

This is now done.

  - Host third-party subresources on mailarchive -- Ryan

This is also now done.

3. RFC Services Projects
  - Are tools issues blocking any documents? -- John and Henrik

Alice: Nothing currently. We do have one document with a bug related to non-ASCII characters showing up properly. Henrik is aware and move to the top of the list. 

  - Security Review of RPC Tools -- Robert and Jay

An award has been made and working on scheduling a kickoff call. 

4. Server Infrastructure
  - Deployment of Python3 -- Robert

Trac is the only remaining Python tool running containerized. 

Henrik: There are other tools we haven't transitioned yet but they are standalone. This item can be removed from future agendas.

  - Expected Website Releases -- Robert

There was a major release that removed original Torchbox attempt at datatracker integration. That will be fixed after IETF 107 week. After that, moving Wagtail up to a more modern version which will be a big job. Glen asked me about taking Wagtail out of the container but I still think we need to keep these isolated. 

  - DMARC support for email aliases -- Henrik and Alexey

This had been on hold until the server transition and should be getting started soon. Henrik is talking with Glen about the best time to do it. Glen suggests putting it in the virtual file. The post confirm fix has worked very well. John, Henrik and Glen will start design discussions and figure out what to do after IETF 107. 

  - Backup for IETF-related portions of GitHub -- Robert

An SOW is in development. Some questions about credentials 

5. YANG Catalog
  - Posting YANG modules by other SDOs -- Eric and Robert

Highest order bit was any work that was preventing another SDO from entering their modules. When any new SDO comes in there's a manual process; only happens once every few months. 

For future calls, question will be: Are there any issues blocking another SDO from entering a yang model? 

  - Putting yangcatalog.org in a Docker container -- Robert

Trying to set a target date. A development server already works this way. 

6. Parking Lot
  - Transition Datatracker to Django2 and then Django3

Transition from 2 to 3 is different; 2 to 3 moves from an asynchronous approach. I won't say we know there will be more and different issues but it's a substantially bigger transition conceptually than 1 to 2. 

  - Transition Mailarchive to Django2 and then Django3
  - Transition Wagtail for IETF website to Django2 and then Django3
  - Search over www, datatracker, and mailarchive

7. AOB

Robert: Carsten has asked us to look at CodiMD. I did a trial setup and deployed it easily. Getting it configured to the level we have etherpad would be pretty simple. Do we want to put effort into making that available? I think it's too late to do it for next week but do we want to take this on in the future, as replacement or parallel to etherpad?

Russ: What don't we get with etherpad?

Robert: It's built to run in a modern web ecosystem a little more effectively and it does have quite a few interesting additional features for interactive note taking. 

Glen: We should pick one and run it rather than running two in parallel.

Henrik: I agree and it makes sense to move over. Etherpad has been overtaken by other tools that are similar but provide more current features. 

Alissa: In general it would be good to have more of a standardized framework for how we make these kinds of decisions. This is pretty ad hoc; someone suggested it, it looks better. I appreciate that it seems like a better tool but should there be some other kind of gating criteria for when we make a switch like this? 

Glen: I agree; constantly having new things to spin up and old to shut down is a hole with no bottom. Request we have a better procedure for switching to new tools. 

Alissa: For more controversial things like jabber it would be better to have a better framework for making these decisions.

Jay: I see a role here for the architecture team that's being set up and setting a framework for how the user experience is understood. !e do need a bigger picture look that we can then use here. 

Let's find some interim meetings to test CodiMD after IETF 107.

- Continue to have concerns about Datatracker performance and wondering if this is still in the right place in priority list or if we should move this up as opposed to adding new features. 

First we need a way to measure performance. Need to know what kinds of queries are lagging. Jay and Robert will discuss. 

- Believe we should start fronting webservices with nginx and woudl like to start making progress after 107. 

Glen has a rough plan to move forward and arrangements are starting to be made behind the scenes.